commit d00c15afcd4f50cc57d6bf3bcc87bd6cedf25529
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Apr 9 10:55:04 2018 +0200

    lib: Filter out BS and DEL from paste
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794653
    (cherry picked from commit 691db2070ead5894947c7db7c87568aa494fbcfd)

 src/vte.cc | 7 ++++---
 1 file changed, 4 insertions(+), 3 deletions(-)

commit 9058e0eaa19e982a83724fdd24d6badf891d02fa
Author: Debarshi Ray <debarshir@gnome.org>
Date:   Fri Mar 9 19:51:03 2018 +0100

    widget: Remove GdkVisibilityState handling
    
    GtkWidget::visibility-notify-event doesn't work on modern composited
    windowing systems. In such cases one can only assume that the widget
    is always completely visible (ie. GDK_VISIBILITY_UNOBSCURED).
    
    These days most users have a compositor, and therefore bugs in this
    optimization often manage to survive undetected.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=794214
    (cherry picked from commit b54395869c408656f31493a25f9e9fe89cd56bb7)

 src/vte.cc         | 53 +----------------------------------------------------
 src/vtegtk.cc      |  9 ---------
 src/vteinternal.hh |  4 ----
 3 files changed, 1 insertion(+), 65 deletions(-)

commit 30d951d243e526a7cdbc7e958cf5aa0723283fb6
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Wed Mar 21 22:36:55 2018 +0100

    emulation: Add support for OSC 5;0 (bold color)
    
    Also OSC 4;256 does the same. Resetting counterparts (104, 105) added too.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=722751
    (cherry picked from commit e258bda404f146262545abf7c332d7917a55d5d6)

 src/caps-list.hh   |  6 ++++++
 src/vteinternal.hh |  2 +-
 src/vteseq-list.hh |  3 +++
 src/vteseq.cc      | 57 ++++++++++++++++++++++++++++++++++++++----------------
 4 files changed, 50 insertions(+), 18 deletions(-)

commit e14805149784afd2c69caadcbe4d2c33d6f63661
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 12 21:43:22 2018 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit b4b2eb2ceeeb1625fd1f689dc2b4cceff68e4bd6
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 5 21:58:12 2018 +0100

    build: Post release version bump

 configure.ac | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

commit a793a6eb93cab42bf24d691c778d6ecc545be5a0
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 5 21:53:25 2018 +0100

    Version 0.51.92

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6b56f107ad98b9c50f73b9080d15e82c42da7f61
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Mar 5 21:23:23 2018 +0100

    widget: Do not scroll to the bottom on soft reset
    
    https://bugzilla.gnome.org/show_bug.cgi?id=789954#c17

 src/vte.cc | 2 --
 1 file changed, 2 deletions(-)

commit a9e75c4517c58385871cc17fe7ab007098ac363e
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Mar 5 21:22:05 2018 +0100

    widget: Preserve the selection on reset
    
    https://bugzilla.gnome.org/show_bug.cgi?id=789954

 src/vte.cc | 37 ++++++++++++++++---------------------
 1 file changed, 16 insertions(+), 21 deletions(-)

commit 9c620f462dfa3410d5cb543571ff699754deca45
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Mar 5 13:44:40 2018 +0100

    widget: Improve regex and hyperlink highlight tracking
    
    Fix underlining to immediately follow movements of the mouse pointer,
    as well as changes to its visibility. Do not perform regex matches
    behind the scenes when the pointer is hidden.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=789536

 src/vte.cc         | 265 +++++++++++++++++++----------------------------------
 src/vteinternal.hh |  22 ++---
 2 files changed, 100 insertions(+), 187 deletions(-)

commit f608f08f727bf9bc7b45e6e311560fc7f5a59e62
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Mar 5 00:08:25 2018 +0100

    app: Unset env var when not in test mode
    
    Just to make sure other processes don't inherit it.

 src/app/app.cc | 2 ++
 1 file changed, 2 insertions(+)

commit cac7b40b507c8ef705c0d7a3c2fee8a4bc3ee6ef
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 4 23:22:26 2018 +0100

    emulation: Implement DECRQCRA
    
    This will be used in the test suite later.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=745045

 src/caps-list.hh   |  2 ++
 src/vte.cc         | 29 ++++++++++++++++++
 src/vteinternal.hh |  5 +++
 src/vteseq-list.hh |  1 +
 src/vteseq.cc      | 89 ++++++++++++++++++++++++++++++++++++++++++++++++++++++
 5 files changed, 126 insertions(+)

commit bac521b55ec8df9de486c318094fa3d016b7ec8a
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 4 23:22:26 2018 +0100

    all: Add test mode
    
    Add a way to enable test mode, which will activate functions
    that are normally not enabled (for whatever reason).
    
    Add --test-mode to the vteapp to activate test mode. This
    will later be used in automatic tests.

 src/app/app.cc     | 12 +++++++++++-
 src/vte.cc         | 17 +++++++++++++----
 src/vtegtk.cc      |  7 +++++++
 src/vteinternal.hh |  5 ++++-
 4 files changed, 35 insertions(+), 6 deletions(-)

commit c9d53c075e4cc3734459051ba456d0e7d10dff06
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Mar 4 14:28:40 2018 +0100

    widget: Update adjustment page size and increments asynchronously
    
    This provides a workaround against these mistakenly printed warnings
    due to GTK+ bug 769566:
    
    "Allocating size to GtkScrollbar [...] without calling
    gtk_widget_get_preferred_width/height(). How does the code know the
    size to allocate?"
    
    https://bugzilla.gnome.org/show_bug.cgi?id=769566
    https://bugzilla.gnome.org/show_bug.cgi?id=791014
    https://bugzilla.gnome.org/show_bug.cgi?id=793435

 src/vte.cc | 86 +++++++++++++++++++++++++++-----------------------------------
 1 file changed, 38 insertions(+), 48 deletions(-)

commit 72cdf6e6579917c351ab324dd313d4c51d7e5687
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Mar 4 11:22:33 2018 +0100

    widget: Fix bell timestamp update
    
    Only update the timestamp when emitting the signal, not
    every time a bell was pending.

 src/vte.cc | 5 +++--
 1 file changed, 3 insertions(+), 2 deletions(-)

commit 5c94130ec7a8f9bb5eb38db7c7fe384c9699a199
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 3 18:32:44 2018 +0100

    widget: Limit bell rate
    
    Also move the gdk_display_beep() and the signal emission out
    of the processing loop and just queue it.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=790815

 src/vte.cc         | 12 ++++++++++++
 src/vtedefines.hh  |  3 +++
 src/vteinternal.hh |  4 ++++
 src/vteseq.cc      |  3 +--
 4 files changed, 20 insertions(+), 2 deletions(-)

commit b398e253053806a05261aca79d6cfbfa9d69ed9b
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Mar 3 17:42:34 2018 +0100

    draw: Do not cache ligatured glyphs
    
    This workaround avoids ligatured glyphs (e.g. for "<=>") from being cached.
    A more proper solution is still pending.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=793391

 src/vtedraw.cc | 15 ++++++++-------
 1 file changed, 8 insertions(+), 7 deletions(-)

commit f2d1926ca4cac16e8fc3f77deb1c7eb02df35b66
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Mar 3 17:33:01 2018 +0100

    widget: Cleanup integer vs. boolean around faux bold
    
    https://bugzilla.gnome.org/show_bug.cgi?id=793987

 src/vte.cc | 6 ++----
 1 file changed, 2 insertions(+), 4 deletions(-)

commit 1aae8bf0771076c026b0b8ba494c84837784420d
Author: Jiri Grönroos <jiri.gronroos@iki.fi>
Date:   Sat Mar 3 16:20:48 2018 +0000

    Update Finnish translation

 po/fi.po | 114 ++++++++++++++++++++++++++++-----------------------------------
 1 file changed, 51 insertions(+), 63 deletions(-)

commit a1cd4a4e6e00022a6d874cef92980160973a9c01
Author: Phil Clayton <phil.clayton@lineone.net>
Date:   Sat Mar 3 13:29:34 2018 +0100

    introspection: Fix annotation for vte_terminal_feed_child
    
    https://bugzilla.gnome.org/show_bug.cgi?id=793273

 src/vtegtk.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6d47b23d154eb9a458f4d4bcc47304e51bda85aa
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 3 13:01:37 2018 +0100

    widget: Fix disabling bold effect
    
    https://bugzilla.gnome.org/show_bug.cgi?id=793987

 src/vte.cc | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

commit b8faef7af4a1199055b9897d8a51f105e0459f4d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Mar 3 13:01:37 2018 +0100

    app: Add option to disable bold

 src/app/app.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 278cd4a44344f56050891d302d386320dd306666
Author: GNOME Translation Robot <gnome-sysadmin@gnome.org>
Date:   Thu Mar 1 11:10:11 2018 +0000

    Update Scottish Gaelic translation
    
    (cherry picked from commit e64ec6f38d8a63401fb6dad8ad076822b23a2162)

 po/gd.po | 18 +++++++++---------
 1 file changed, 9 insertions(+), 9 deletions(-)

commit 634d5b019d5a53dc2dd2d82a6c3b4bfc094e92c6
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Feb 27 22:34:15 2018 +0100

    widget: Initialize the last mouse coordinates to the padding
    
    https://bugzilla.gnome.org/show_bug.cgi?id=789536

 src/vte.cc | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

commit 135c6844e554a569f14a48db362af58c9ddfedaa
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Feb 27 22:32:19 2018 +0100

    widget: Update the last mouse coordinates on enter and leave events
    
    https://bugzilla.gnome.org/show_bug.cgi?id=789536

 src/vte.cc | 4 ++++
 1 file changed, 4 insertions(+)

commit 430e45d30a29e66131d10ca47144d5aa317f06c3
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Feb 27 22:31:04 2018 +0100

    widget: Fix the initial belief whether the mouse is over the widget
    
    https://bugzilla.gnome.org/show_bug.cgi?id=789536

 src/vte.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 2e5dfbd89b96e90509e4d738f0e18f4ea163084c
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Feb 27 22:29:04 2018 +0100

    widget: Unset hyperlink URI when moving the mouse to a non-hyperlink cell
    
    https://bugzilla.gnome.org/show_bug.cgi?id=789536

 src/vte.cc | 6 ++++--
 1 file changed, 4 insertions(+), 2 deletions(-)

commit 34a2b58573a4879fd3e07d1fd946b57e46234723
Author: Carlos Garnacho <carlosg@gnome.org>
Date:   Thu Feb 15 09:35:24 2018 +0100

    widget: Protect fudge_pango_colors() against all-inclusive PangoAttributes
    
    PangoAttribute documentation says "By default an attribute will have an
    all-inclusive range of [0,G_MAXUINT]". It seems legal to get that from IMs
    (referring to the pre-edit string), however the only caller of this
    function just relies on the attribute being within the VteCells range,
    leading to crashes.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=793480

 src/vte.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 3fffbb8c4001c8f6d8409630ec8ab740fdb7e002
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 12 22:17:26 2018 +0100

    doap: Add Egmont

 vte.doap | 7 +++++++
 1 file changed, 7 insertions(+)

commit e9989360bb3b020c4507562af9385ca7584f0d97
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Feb 12 20:52:33 2018 +0100

    widget: No longer generate bold color automatically
    
    Use the one explicitly provided via API, or the foreground color.
    This also fixes how OSC 10 affects bold color.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=728600
    https://bugzilla.gnome.org/show_bug.cgi?id=793152

 src/vte.cc      | 13 ++++---------
 src/vtetypes.cc | 35 -----------------------------------
 src/vtetypes.hh |  3 ---
 3 files changed, 4 insertions(+), 47 deletions(-)

commit 68fc39464453eccefaaf92788e8be2afbea74727
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 20:16:20 2018 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 614092c18c9272ee94e53957a9584ecd5118d053
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 20:12:29 2018 +0100

    Version 0.51.90

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bc532dc160406aaea35756e9a9e8f755c82fddb2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Feb 5 20:11:08 2018 +0100

    widget: Add API to not clear the background
    
    Remove the background operator again and only support a simple
    boolean clear-or-not-clear.
    
    This is useful only to support a background image.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767575

 doc/reference/vte-sections.txt |  2 +-
 src/app/app.cc                 | 32 ++------------------------------
 src/vte.cc                     | 30 ++++++++++++++++--------------
 src/vte/vteterminal.h          |  4 ++--
 src/vtedraw.cc                 |  3 +--
 src/vtedraw.hh                 |  1 -
 src/vtegtk.cc                  | 17 ++++++++---------
 src/vteinternal.hh             |  4 ++--
 8 files changed, 32 insertions(+), 61 deletions(-)

commit fdaad997cd9d2fa56a9827f3c327aa192ea0abd9
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Feb 3 18:55:02 2018 +0100

    pty: spawn: Set PWD to the working directory to preserve symlinks
    
    https://bugzilla.gnome.org/show_bug.cgi?id=758452

 src/pty.cc    | 10 +++++++++-
 src/vtegtk.cc |  8 ++++++++
 2 files changed, 17 insertions(+), 1 deletion(-)

commit c68a546e0b70128987c392d8e140f809fd809902
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Wed Jan 31 23:01:21 2018 +0100

    widget: Allow regexes to match spaces
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792729

 src/vte.cc | 8 +++-----
 1 file changed, 3 insertions(+), 5 deletions(-)

commit 809e79770b4dea34d64574710ce429a86855fdb2
Author: Timm Bäder <mail@baedert.org>
Date:   Sat Jan 27 20:25:03 2018 +0100

    widget: Fix scrollbar drawing not to be delayed
    
    https://bugzilla.gnome.org/show_bug.cgi?id=771899

 src/vte.cc    | 22 +---------------------
 src/vtegtk.cc |  1 -
 2 files changed, 1 insertion(+), 22 deletions(-)

commit 602bb5c1c497b6389f41f364a9412c465370654b
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Jan 27 18:27:59 2018 +0100

    docs: Remove an obsolete comment

 src/vteseq.cc | 1 -
 1 file changed, 1 deletion(-)

commit b274318f2e48573569d65b17cd2c4ead916e7d6a
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Jan 22 13:38:49 2018 +0100

    widget: Fix mem leak in search_rows()
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792740

 src/vte.cc | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

commit 154110da03b9a124d1de91b857bdeb90c558caf8
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Jan 20 10:57:44 2018 +0100

    app: Uppercase initial for menu entry

 src/app/window.ui | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 6bef0ec9e2c67257d87229b5f2035f3b8f487818
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sun Jan 14 00:11:29 2018 +0100

    widget: Respect "bold color" even when "bold is bright" is disabled
    
    https://bugzilla.gnome.org/show_bug.cgi?id=792501

 src/vte.cc | 8 +++++---
 1 file changed, 5 insertions(+), 3 deletions(-)

commit c0cd47f88448969bd219047c3d56af65e35e9278
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jan 13 22:29:28 2018 +0100

    all: Remove overzealous use of constexpr
    
    One more.
    Seems some compilers don't like it in these places.

 src/color-triple.hh | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

commit 5f5a11a42b86afed9e1984518d7fe5477289c65b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jan 13 22:29:28 2018 +0100

    all: Remove overzealous use of constexpr
    
    Seems some compilers don't like it in these places.

 src/attr.hh         | 14 +++++++-------
 src/color-triple.hh | 12 ++++++------
 src/vterowdata.h    | 10 +++++-----
 3 files changed, 18 insertions(+), 18 deletions(-)

commit 6eea10a62ff5b9d57873c498a89973f27a7189f1
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jan 13 20:55:44 2018 +0100

    widget: Translate more pango attributes in the IM string
    
    Take underline colour, underline style and font style from the
    PangoAttribute list.

 src/vte.cc | 41 ++++++++++++++++++++++++++++++++++++++++-
 1 file changed, 40 insertions(+), 1 deletion(-)

commit 66534dfc20c590ec2e0a1911fcbc18c9b92d3f7c
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jan 13 20:55:44 2018 +0100

    ring: Store cell attributes together in an uint32_t
    
    Instead of using a bitfield, use an uint32_t and set/get
    the values manually. This allows to check for multiple
    values at once with just one operation instead of
    checking each bitfield member separately.,

 perf/deco.sh       |  85 +++++++++++++++++
 src/Makefile.am    |   1 +
 src/attr.hh        | 137 ++++++++++++++++++++++++++
 src/ring.cc        |  32 +++----
 src/vte.cc         | 276 +++++++++++++++++++++++------------------------------
 src/vteinternal.hh |   8 +-
 src/vterowdata.h   | 108 ++++++++++++++-------
 src/vteseq.cc      |  47 +++++----
 8 files changed, 453 insertions(+), 241 deletions(-)

commit 615d5fac3fa8009a11a3def7799af968d71bc4a9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jan 13 20:55:44 2018 +0100

    all: Rearrange VteCellAttr to store all colours together in one uint64_t
    
    This re-arranges the VteCellAttr struct to store the foreground,
    background and decoration colour together in one uint64_t. This will
    allow later optimising the *other* attributes.
    
    A 24-bit (8 bit per component) color is stored in 25 bits in vte
    (one extra bit is necessary to distinguish direct colours from
    index colors), so to fit 3 colours into 64 bits, it was necessary
    to reduce the depth of the (lesser used) decoration colour to
    4 bit per component.

 src/Makefile.am     |   1 +
 src/color-triple.hh |  92 ++++++++++++++++++++++++++++++++++++++++++
 src/vte.cc          | 113 ++++++++++++++++++++++++++++------------------------
 src/vtedefines.hh   |  19 +++++++--
 src/vteinternal.hh  |  10 +++--
 src/vterowdata.h    | 109 +++++++++++++++++++++++++++++---------------------
 src/vteseq.cc       | 100 +++++++++++++++++++++++++++-------------------
 7 files changed, 298 insertions(+), 146 deletions(-)

commit 088eb01c5f2f3abf558d10933bc5b57cbc9af030
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jan 13 20:55:44 2018 +0100

    emulation: Use deco colour also for default colour and fill attributes

 src/vte.cc    | 1 +
 src/vteseq.cc | 2 ++
 2 files changed, 3 insertions(+)

commit b17463c7d03eac1c9753b7b8ced4b9a455cf7727
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Jan 13 20:55:43 2018 +0100

    widget: Return correct underline value in VteCharAttributes

 src/vte.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 1f202f16559e5a1057391b0b77f404a419e8f158
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jan 8 22:31:15 2018 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit cd6f296fcad9a93d96233664e50360fd4274a869
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Jan 8 22:28:26 2018 +0100

    build: Fix distcheck

 src/debug.c  | 122 ----------------------------------------------------------
 src/debug.cc | 123 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++-
 2 files changed, 122 insertions(+), 123 deletions(-)

commit 38396ef88ff44b447399b6abc562a22e07a27684
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Dec 23 22:41:24 2017 +0100

    widget: Add support for blinking text
    
    Also add an API to enable/disable this feature depending on the focused
    or unfocused state of the widget.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=579964

 doc/reference/vte-sections.txt |   5 ++
 src/app/app.cc                 |  15 +++++
 src/vte.cc                     | 126 +++++++++++++++++++++++++++++++++++++++--
 src/vte/vteenums.h             |  19 +++++++
 src/vte/vteterminal.h          |   5 ++
 src/vtegtk.cc                  |  55 ++++++++++++++++++
 src/vtegtk.hh                  |   1 +
 src/vteinternal.hh             |  11 ++++
 8 files changed, 231 insertions(+), 6 deletions(-)

commit 68944c293d1004208846b9e9b18e536be3291365
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Dec 19 22:22:22 2017 +0100

    widget: Speed up the drawing of curly underline by caching its look
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721761

 src/vte.cc         | 16 +++++------
 src/vtedraw.cc     | 79 +++++++++++++++++++++++++++++++++++++++++++-----------
 src/vtedraw.hh     |  7 ++---
 src/vteinternal.hh |  2 +-
 4 files changed, 76 insertions(+), 28 deletions(-)

commit 96dfd02eeb3c63b321204fcba01c3b8417c12d19
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Tue Dec 19 10:21:34 2017 +0100

    doc: Fix vte_terminal_get_allow_bold's description

 src/vtegtk.cc | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

commit c86612919e855025b03afd0189bd5c7e9c04b92b
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Dec 16 23:31:32 2017 +0100

    widget: Fix display glitches around hidden underline
    
    https://bugzilla.gnome.org/show_bug.cgi?id=791303

 src/vte.cc | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

commit 3c9e41211840a602a14b92eea4897ccd2704d6a4
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Thu Dec 14 23:02:28 2017 +0100

    emulation: Revise the extended color escape sequences
    
    Add support for true color sequences according to ITU-T T.416,
    i.e. CSI 38:2:[color_space_id]:R:G:B[:more_params]m. Color space id
    and further parameters are ignored.
    
    Keep support for the misinterpreted CSI 38:2:R:G:Bm format (missing
    color space id) for now, to be dropped at some point in the future.
    
    Keep support for 256-color sequences according to ITU-T T.416,
    i.e. CSI 38:5:INDEXm. Allow and ignore further parameters.
    
    Keep support for the de facto standard CSI 38;2;R;G;Bm and CSI 38;5;INDEXm
    supported by most terminal emulators and emitted by most apps.
    
    Drop support for mixed use of semicolons and colons.
    
    Add command line flags to perf/256test.sh and perf/img.sh to select the
    emitted sequences, switch to the de jure format as default.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=791456

 perf/256test.sh    | 34 +++++++++++++++++++++++++---------
 perf/img.sh        | 29 +++++++++++++++++++++++------
 src/vteinternal.hh |  3 ++-
 src/vteseq.cc      | 49 ++++++++++++++++++-------------------------------
 4 files changed, 68 insertions(+), 47 deletions(-)

commit 87f72720512ea37e76beff9f69890ab0a04f1f74
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Dec 11 22:36:04 2017 +0100

    widget,emulation: Add support for overline
    
    The escape sequences are:
      CSI 53m to enable
      CSI 55m to disable
    
    https://bugzilla.gnome.org/show_bug.cgi?id=767115

 src/vte.cc         | 41 +++++++++++++++++++++++++++++++++++------
 src/vteinternal.hh |  3 +++
 src/vterowdata.h   |  4 +++-
 src/vteseq.cc      |  6 ++++++
 4 files changed, 47 insertions(+), 7 deletions(-)

commit 9d5ab10bd7bc2b444306c275908e38f7315ed0f2
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Dec 11 22:16:15 2017 +0100

    Post release version bump

 configure.ac | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit 9be01fdf027c1f3e5ed665e6da024cf5ca424f0b
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Dec 11 22:02:44 2017 +0100

    sgr-test.sh: New script for testing SGR escape sequences
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721761

 perf/Makefile.am |   1 +
 perf/sgr-test.sh | 138 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 139 insertions(+)

commit a8af47bcabc66417f3b0930c7f3e2a903f1b9710
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Dec 11 21:50:12 2017 +0100

    widget,emulation: Add support for colored underlines
    
    The escape sequences are, similarly to CSI 38...m and CSI 39m:
      CSI 58:5:...m or CSI 58;5;...m for an item of the 256-color palette
      CSI 58:2:...m or CSI 58;2;...m for a direct RGB color
      CSI 59m to turn this off (underline's color is the same as the text's)
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721761

 src/vte.cc         | 110 ++++++++++++++++++++++++++++++++++-------------------
 src/vteinternal.hh |  10 +++--
 src/vterowdata.h   |  19 +++++----
 src/vteseq.cc      |  17 +++++++--
 4 files changed, 103 insertions(+), 53 deletions(-)

commit efaf8f3c16809b8b2e43c39b13bf89464f51ba1a
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Dec 11 21:44:49 2017 +0100

    widget,emulation: Add support for double and curly underlines
    
    The underline escape sequences are:
      CSI 4m or CSI 4:1m for single underline
      CSI 21m or CSI 4:2m for double underline
      CSI 4:3m for curly underline
      CSI 24m or CSI 4:0m for turning them off
    
    https://bugzilla.gnome.org/show_bug.cgi?id=721761

 src/vte.cc         | 84 ++++++++++++++++++++++++++++++++++++++++++------------
 src/vtedraw.cc     | 47 ++++++++++++++++++++++++++++++
 src/vtedraw.hh     |  9 ++++++
 src/vteinternal.hh |  6 +++-
 src/vterowdata.h   |  8 ++----
 src/vteseq.cc      | 44 +++++++++++++++++-----------
 6 files changed, 157 insertions(+), 41 deletions(-)

commit 6c44229d130dd1d5cdb218e897ec6f245e96d538
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Dec 9 12:18:40 2017 +0100

    widget: Add support for not automatically brightening bold colors
    
    https://bugzilla.gnome.org/show_bug.cgi?id=762247

 doc/reference/vte-sections.txt |  2 ++
 src/app/app.cc                 |  4 +++
 src/vte.cc                     | 15 ++++++++++-
 src/vte/vteterminal.h          |  6 +++++
 src/vtegtk.cc                  | 59 ++++++++++++++++++++++++++++++++++++++++++
 src/vtegtk.hh                  |  1 +
 src/vteinternal.hh             |  2 ++
 7 files changed, 88 insertions(+), 1 deletion(-)

commit 1a671bbe0af2b0611423e9c869dd8cb3907c0ebc
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Fri Dec 8 23:18:39 2017 +0100

    widget: Remove margin bell support
    
    https://bugzilla.gnome.org/show_bug.cgi?id=731453

 src/vte.cc         | 12 ------------
 src/vteinternal.hh |  2 --
 src/vteseq.cc      |  4 ----
 3 files changed, 18 deletions(-)

commit 26c79c6dc93aae4d4f787f36b594cac151df0f07
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Mon Dec 4 23:08:44 2017 +0100

    widget: Add support for increased line and character spacing
    
    New API methods vte_terminal_set_cell_{height,width}_scale take values
    from 1.0 (default) to 2.0 (double spacing) to push the letters further
    apart from each other, without affecting the font size.
    
    https://bugzilla.gnome.org/show_bug.cgi?id=781479
    https://bugzilla.gnome.org/show_bug.cgi?id=738781

 doc/reference/vte-sections.txt |   4 +
 src/app/app.cc                 |   8 ++
 src/vte.cc                     | 193 +++++++++++++++++++++++++++++------------
 src/vte/vteterminal.h          |  12 +++
 src/vtedefines.hh              |   2 +
 src/vtedraw.cc                 | 124 ++++++++++++++++++--------
 src/vtedraw.hh                 |  11 ++-
 src/vtegtk.cc                  | 130 ++++++++++++++++++++++++++-
 src/vtegtk.hh                  |   2 +
 src/vteinternal.hh             |  35 ++++++--
 10 files changed, 416 insertions(+), 105 deletions(-)

commit 3d09f0731a61c7bc5ea8795cdb0a86e48740035b
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 27 20:17:00 2017 +0100

    interpret: Add statistics output
    
    Output a summary of the number of characters inserted and
    sequences recognised.

 src/interpret.cc | 12 ++++++++++++
 1 file changed, 12 insertions(+)

commit f479790d04bb8932b6816fa343d3621c7997fa5d
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 27 17:21:04 2017 +0100

    build: Rename header file

 src/{caps.h => caps.hh} | 14 +-------------
 src/keymap.cc           |  2 +-
 src/matcher.cc          |  2 +-
 src/mev.c               |  2 +-
 src/vte.cc              |  2 +-
 src/vteseq.cc           |  2 +-
 6 files changed, 6 insertions(+), 18 deletions(-)

commit 74ec8441de36060bf3410903be60c1e297a0c7db
Author: Christian Persch <chpe@src.gnome.org>
Date:   Mon Nov 27 17:03:00 2017 +0100

    interpret: Bring back the matcher test

 src/Makefile.am  |  37 +++++++-
 src/interpret.cc | 260 +++++++++++++++++++++++++++++++++++++++++++++++++++++++
 2 files changed, 296 insertions(+), 1 deletion(-)

commit 4e2f53632637abba42b1ac558b738b63de18441e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sun Nov 26 22:04:35 2017 +0100

    build: Manually generate the C source from the vala source
    
    Don't use the automake vala support, instead just generate
    the C sources manually. This fixes a build failure on
    non-srcdir builds.

 bindings/vala/Makefile.am | 29 ++++++++++++++++-------------
 1 file changed, 16 insertions(+), 13 deletions(-)

commit 0d1f50109740931d9547ed49f5b744438a4157cc
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Nov 21 18:36:48 2017 +0100

    emulation: Simplify sequence matching
    
    Instead of returning a string from the matcher that is then used
    to lookup a handler, just return the function pointer directly
    from the matcher.

 configure.ac              |   8 --
 doc/reference/Makefile.am |   3 +-
 src/Makefile.am           |  83 +-----------
 src/caps-list.hh          | 318 ++++++++++++++++++++++++++++++++++++++++++++++
 src/caps.cc               | 306 --------------------------------------------
 src/interpret.cc          | 171 -------------------------
 src/matcher.cc            |  43 +++----
 src/matcher.hh            |  46 +++++--
 src/table.cc              | 277 ++++++++++------------------------------
 src/table.hh              |  22 ++--
 src/vte.cc                |  52 +++++---
 src/vteinternal.hh        |   8 +-
 src/vteseq-list.hh        | 156 +++++++++++++++++++++++
 src/vteseq-n.gperf        | 175 -------------------------
 src/vteseq.cc             | 125 ++++++++++++------
 15 files changed, 738 insertions(+), 1055 deletions(-)

commit 35e071e687e0f9bfed5adc7117e2c2d4cd3237a9
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Nov 21 18:36:48 2017 +0100

    table: Remove unnecessary null checks
    
    We always pass non-null out parameters here, so remove
    the unnecessary checks.

 src/matcher.cc |  6 ++++--
 src/matcher.hh | 14 +++++++++-----
 src/table.cc   | 33 +++++++++++++--------------------
 src/table.hh   |  6 ++++--
 4 files changed, 30 insertions(+), 29 deletions(-)

commit b7e21e539a9c5978f3de072aae42a15980fc89aa
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Nov 21 18:36:48 2017 +0100

    interpret: Fix for non-ASCII characters decoding
    
    Just call setlocale(), so that we can convert non-ASCII characters
    correctly.

 src/interpret.cc | 3 +++
 1 file changed, 3 insertions(+)

commit be7d350d61df65f60f3b88753688387db984b7ee
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Nov 21 18:36:48 2017 +0100

    interpret: Also print value arrays

 src/interpret.cc | 53 ++++++++++++++++++++++++++++++++---------------------
 1 file changed, 32 insertions(+), 21 deletions(-)

commit 5e9ad640f61ba98436e3a48cc0031b64b7851c7e
Author: Christian Persch <chpe@src.gnome.org>
Date:   Tue Nov 21 18:36:48 2017 +0100

    table: Move header to table.hh

 doc/reference/Makefile.am |  2 +-
 src/Makefile.am           |  6 +++---
 src/matcher.cc            |  2 +-
 src/table.cc              |  2 +-
 src/{table.h => table.hh} | 10 +---------
 5 files changed, 7 insertions(+), 15 deletions(-)

commit 601a6d8e3532d656a1522534d5d738742f8f13f7
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 18 23:19:22 2017 +0100

    emulation: Simplify sequence handlers and parameter handling
    
    Encapsulate the use of the deprecated GValueArray API in a
    helper class, and use that to extract the parameters passed to
    the sequence handlers.
    
    Also, move from using 2-stage sequence handlers that first call a
    static function which in turn calls a method on VteTerminalPrivate
    to using the member functions directly via a member function pointer.

 doc/reference/Makefile.am         |    2 +-
 src/Makefile.am                   |    8 +-
 src/{interpret.c => interpret.cc} |    2 +-
 src/iso2022.h                     |    2 +-
 src/matcher.cc                    |    2 +-
 src/{matcher.h => matcher.hh}     |   10 +-
 src/vte.cc                        |   16 +-
 src/vteinternal.hh                |  228 +++--
 src/vteseq-n.gperf                |  308 +++---
 src/vteseq.cc                     | 1993 ++++++++++++++-----------------------
 10 files changed, 1086 insertions(+), 1485 deletions(-)

commit f6678e7e938aaf6f4fd72ceb8f1bb71b2bf3e69e
Author: Egmont Koblinger <egmont@gmail.com>
Date:   Sat Nov 18 20:50:06 2017 +0100

    widget: Reset might need to start blinking the cursor
    
    https://bugzilla.gnome.org/show_bug.cgi?id=790536

 src/vte.cc | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

commit bca23e844378e57294c96661b5051ff199736cdc
Author: Christian Persch <chpe@src.gnome.org>
Date:   Sat Nov 18 19:13:17 2017 +0100

    app: Fix a mem leak

